Bug 385781 - Eye of gnome incapable of fully displaying multipage tiff images
Eye of gnome incapable of fully displaying multipage tiff images
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eog (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-15 16:49 EST by David Campbell
Modified: 2013-01-13 07:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:00:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Campbell 2007-11-15 16:49:15 EST
Description of problem:

I'm raising this issue here because there's a serious usage problem for business
users who have large collections of multi-page tiff scans and also want to be
able to nicely display tiff photos.  This problem results from the dichotomy of
display of different types of tiff images between eye of gnome and evince.

Many businesses have large collections of scanned documents in tiff multi-page
fax format, but the default action in fedora for display of tiff images is eye
of gnome which currently can only display the first page of such images, which
seems to be a shortcoming in it.

Evince can display multi-page tiff, so you might say to change the default
program to display tiff to evince?  Well that is possible, but then all tiff
files including colour images are displayed with evince.  Nautilus lets you
choose the program to display tiff files with but other programs (eg thunderbird
email) don't.  If you choose evince as default viewer, the characteristics of
evince aren't always really ideal for display of all images and eye of gnome is
suited better to displaying some images.

How can this issue be dealt with?  Can eye of gnome be made configurable to exec
another program eg evince when invoked with multi-page tiff files???

Version-Release number of selected component (if applicable):

2.20.1

How reproducible:

Always

Steps to Reproduce:
1. Double click a multi-page tiff scan
2. Notice that eye of gnome cannot reproduce it
 
Actual results:

Inability to display the remainder of the image

Expected results:

Ability to display the full image

Additional info:
Comment 1 Bug Zapper 2008-11-26 03:28:20 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Matthias Clasen 2008-12-12 21:23:41 EST
> How can this issue be dealt with?  Can eye of gnome be made configurable to exec
> another program eg evince when invoked with multi-page tiff files???

You could certainly write a small script or program that looks at the tiff in question, and runs evince if it is multi-page, and eog otherwise. You can then register that script as the default handler for all tiffs.
Comment 3 David Campbell 2008-12-13 01:01:48 EST
That sounds like a good idea, but what about the default behaviour for linux out of the box?  It seems to me that the default behaviour should really be that the software that opens tiff files can display all types of tiff files.  Presently there's a dichotomy between evince and eye of gnome where one has to be used to open some and the other has to be used to open others.  I understand the two programs, but the end result is bad from a user perspective.
Comment 4 Bug Zapper 2009-11-18 05:08:37 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 01:00:47 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.